Bug 912430 - Shutdown timeout when killing ez-ipupdate
Summary: Shutdown timeout when killing ez-ipupdate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ez-ipupdate
Version: 18
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Alexander Boström
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-18 16:28 UTC by DaveG
Modified: 2013-12-25 02:38 UTC (History)
2 users (show)

Fixed In Version: ez-ipupdate-3.0.11-0.29.b8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-25 02:38:48 UTC


Attachments (Terms of Use)

Description DaveG 2013-02-18 16:28:07 UTC
Description of problem:
The ez-ipupdate deamon hangs systemd shutdown/reboot. The default systemd service stop action is to send SIGTERM but ez-ipupdate uses that for "wakeup". The daemon can be killed cleanly using SIGQUIT. Re-load is also supported with SIGHUP.

Version-Release number of selected component (if applicable):
ez-ipupdate-3.0.11-0.26.b8.fc18.x86_64
systemd-197-1.fc18.1.x86_64

How reproducible:
Always. Can be seen when just stopping the service, not just shutdown.

Steps to Reproduce:
1. Configure ez-ipupdate using distribution defaults.
2. Start the service.
3. Stop the service.

Actual results:
(/var/log/messages...)
Feb 18 15:51:53 xxx systemd[1]: Started Ez-ipupdate Check and update your IP to dynamic DNS Server.
Feb 18 15:56:33 xxx systemd[1]: Stopping Ez-ipupdate Check and update your IP to dynamic DNS Server...
Feb 18 15:58:03 xxx systemd[1]: ez-ipupdate.service stopping timed out. Killing.
Feb 18 15:58:03 xxx systemd[1]: ez-ipupdate.service: main process exited, code=killed, status=9/KILL
Feb 18 15:58:03 xxx systemd[1]: Stopped Ez-ipupdate Check and update your IP to dynamic DNS Server.
Feb 18 15:58:03 xxx systemd[1]: Unit ez-ipupdate.service entered failed state

Expected results:
(after fix, below)
Feb 18 16:07:26 xxx systemd[1]: Starting Ez-ipupdate Check and update your IP to dynamic DNS Server...
Feb 18 16:07:26 xxx systemd[1]: PID 2834 read from file /run/ez-ipupdate/ez-ipupdate.pid does not exist.
Feb 18 16:07:26 xxx ez-ipupdate[2921]: version 3.0.11b8, interface ppp0, host xxx.xxx.org, server xxx.dyndns.org, service dyndns
Feb 18 16:07:26 xxx ez-ipupdate[2921]: got last update xxx.xxx.xxx.xxx on 2013/02/15 12:37 from cache file
Feb 18 16:07:26 xxx systemd[1]: Started Ez-ipupdate Check and update your IP to dynamic DNS Server.
Feb 18 16:08:12 xxx systemd[1]: Reloading Ez-ipupdate Check and update your IP to dynamic DNS Server.
Feb 18 16:08:12 xxx ez-ipupdate[2921]: SIGHUP received, re-reading config file
Feb 18 16:08:12 xxx systemd[1]: Reloaded Ez-ipupdate Check and update your IP to dynamic DNS Server.
Feb 18 16:08:30 xxx systemd[1]: Stopping Ez-ipupdate Check and update your IP to dynamic DNS Server...
Feb 18 16:08:30 xxx ez-ipupdate[2921]: received SIGQUIT, shutting down
Feb 18 16:08:30 xxx systemd[1]: Stopped Ez-ipupdate Check and update your IP to dynamic DNS Server.

Additional info:
The fix is to add the following to ez-ipupdate.service:
ExecReload=/bin/kill -HUP $MAINPID
KillSignal=SIGQUIT

Comment 1 Fedora Update System 2013-12-14 20:13:42 UTC
ez-ipupdate-3.0.11-0.29.b8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc20

Comment 2 Fedora Update System 2013-12-14 20:15:10 UTC
ez-ipupdate-3.0.11-0.29.b8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc19

Comment 3 Fedora Update System 2013-12-14 20:16:30 UTC
ez-ipupdate-3.0.11-0.29.b8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc18

Comment 4 Alexander Boström 2013-12-14 20:32:28 UTC
Oh, I used ExecStop, but KillSignal is better. Thanks. Will change that later.

Comment 5 Fedora Update System 2013-12-16 22:59:10 UTC
Package ez-ipupdate-3.0.11-0.29.b8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ez-ipupdate-3.0.11-0.29.b8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23463/ez-ipupdate-3.0.11-0.29.b8.fc19
then log in and leave karma (feedback).

Comment 6 Fedora End Of Life 2013-12-21 15:50:40 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora Update System 2013-12-24 03:38:30 UTC
ez-ipupdate-3.0.11-0.29.b8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-25 02:33:38 UTC
ez-ipupdate-3.0.11-0.29.b8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-25 02:38:48 UTC
ez-ipupdate-3.0.11-0.29.b8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.